html {
  color: #1c1c1c;
  background-color: rgb(249, 239, 226);
  font-family: "Montserrat";
}
* {
  margin: 0 auto;
}

h2 {
  font-family: "Inria Serif";
  font-size: 40px;
  font-weight: normal;
}

h3 {
  font-size: 18px;
  font-weight: 300;
  line-height: 1.2;
  text-transform: uppercase;
}

h4 {
  line-height: 1.2;
  font-size: 16px;
  font-weight: 400;
  padding: 8px 0;
}

p {
  font-size: 14px;
  line-height: 1.2;
  font-weight: 400;
}

nav {
  display: flex;
  justify-content: space-between;
  align-content: center;
  align-items: center;
  margin: 0 100px;
}

nav img {
  display: block;
  margin-left: 20px;
  margin-top: 20px;
}
nav a {
  font-size: 14px;
  text-decoration: none;
  padding: 0 16px;
  color: #1c1c1c;
}

nav a:hover {
  text-decoration: underline;
  transition: all 950ms ease-in;
}

.hero {
  background-image: url("../resources/images/3.jpg");
  background-repeat: no-repeat;
  background-position: center;
  height: 745px;
}

.heading {
  padding: 400px 0 0 200px;
}
.heading h2 {
  padding: 8px 0;
}

.heading a {
  text-decoration: none;
  border: 1px solid #1c1c1c;
  color: #1c1c1c;
  padding: 8px 16px;
  border-radius: 24px;
}

.heading a:hover {
  background-color: #1c1c1c;
  color: #fff;
  transition: all 350ms ease-in-out;
}

/*CART SECTION*/
.cart-section {
  border: 1px solid gray;
}
.carts a {
  opacity: 0.7;
}
.carts a:hover {
  opacity: 1;
}
.cart-container {
  opacity: 0;
  position: absolute;
  top: 60px;
  right: 0;
  width: 420px;
  height: 875px;
  background-color: rgb(249, 239, 226);
  border: 2px solid #d3bcbc;
  padding: 10px;
  margin: 30px auto;
  z-index: 1000;
  /*display: none; */
}

.cart-container:hover {
  opacity: 1;
}

/*
.carts a:hover + .cart-container {
  display: block;
}
*/

.cart-container h3 {
  text-align: center;
  font-weight: 600;
  font-size: 18px;
  padding: 10px;
  margin-top: 10px;
}

.cart-item {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
  border-bottom: 1px solid #d3bcbc;
}

.cart-item img {
  background-position: center;
  width: 190px;
  height: 175px;
}

.cart-item-info {
  width: 190px;
  height: 100px;

  padding: 25px 10px;
}

.cart-item-info h6 {
  font-size: 14px;
  font-weight: 400;
  color: #333;
  margin: 8px 0px;
}
.remove-btn button {
  border: 1px solid #3b1f1f;
  background-color: rgb(249, 239, 226);
  padding: 8px 16px;
  font-size: 12px;
  cursor: pointer;
  text-align: center;
  border-radius: 4px;
  margin-top: 12px;
}

.remove-btn button:hover {
  background-color: #d3bcbc;
  transition: all 750ms ease;
}

.checkout-container button {
  width: 100%;
  padding: 10px;
  background-color: #3b1f1f;
  color: white;
  border: none;
  cursor: pointer;
  font-size: 16px;
  text-transform: uppercase;
  margin: 16px 0px;
}

.checkout-container button:hover {
  background-color: #291616;
}

.close-container {
  text-align: center;
  margin: 10px 0px;
}

.close-container a {
  text-decoration: none;
  color: black;
}

.close-container a:hover {
  text-decoration: underline;
  transition: all 850ms ease-in-out;
}

.subtotal h5 {
  text-align: center;
  font-size: 16px;
  font-weight: 400;
  margin: 20px 0 10px 0;
}

.close-container button {
  background-color: transparent;
  border: none;
  color: #3b1f1f;
  cursor: pointer;
  font-size: 14px;
  text-decoration: underline;
}
/*
.modal {
  display: none;
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background
  z-index: 5000; /* Make sure it appears on top of other elements 
  justify-content: center;
  align-items: center;
} */

.section {
  align-content: center;
  padding: 32px 10px;
  text-align: center;
  margin: 0 100px;
}

.section h2 {
  padding: 16px;
}

.container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 4px;
  margin-top: 32px;
}

.product {
  flex-basis: 250px;
}

.product img {
  height: 250px;
  width: 250px;
}

.product img:hover {
  opacity: 0.8;
  transform: scale(1.1);
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.product a {
  cursor: pointer;
}

.product-details {
  padding: 16px 0px;
}

.product-details button {
  border: 1px solid #1c1c1c;
  background-color: rgba(0, 0, 0, 0);
  color: #1c1c1c;
  padding: 8px 16px;
  border-radius: 12px;
  cursor: pointer;
  font-size: 16px;
  font-weight: 300px;
  margin-top: 8px;
}
.product-details button:hover {
  background-color: #1c1c1c;
  color: #fff;
  transition: all 350ms ease-in-out;
}
/* Footer */
footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
}

footer img {
  width: 150px;
}

.Us {
  width: 300px;
  text-align: end;
}

footer a {
  color: #1c1c1c;
}

/* Responsive adjustments */
@media (max-width: 600px) {
  .footer-content {
    flex-direction: column; /* Stack sections vertically */
    align-items: center; /* Center align the sections */
  }
  .header-content {
    flex-direction: column; /* Stack sections vertically */
    align-items: center; /* Center align the sections */
  }

  footer p {
    margin: 10px;
  }

  footer img {
    padding: 8px 0px;
  }

  .Us {
    text-align: center;
  }
}
@media (max-width: 768px) {
  header {
    padding: 0;
  }

  .navbar {
    flex-direction: column;
    align-items: center;
    margin: 10px auto;
  }

  .nav-links {
    flex-direction: column;
    width: 100%;
    margin-top: 10px;
    text-align: center;
  }

  .carts {
    margin-top: 16px;
  }

  .heading {
    padding: 250px 30px;
  }

  .hero {
    height: 500px;
  }

  .cart-container {
    top: 150px;
    width: 100%;
  }

  .container {
    margin-top: 16px;
  }
}
